# Filter pressure drop (fluids.filters)

This module contains correlations for the loss coefficient of various types of filters in a pipe or channel.

For reporting bugs, adding feature requests, or submitting pull requests, please use the GitHub issue tracker or contact the author at Caleb.Andrew.Bell@gmail.com.

## Loss Coefficients for Screens

fluids.filters.round_edge_screen(alpha, Re, angle=0.0)

  Returns the loss coefficient for a round edged wire screen or bar screen, as shown in [1]. Angle of inclination may be specified as well.

  Parameters:
    alpha `python:float`

      Fraction of screen open to flow [-]

    Re `python:float`

      Reynolds number of flow through screen with D = space between rods, []

    angle `python:float`, `optional`

      Angle of inclination, with 0 being straight and 90 being parallel to flow [degrees]

  Returns:
    K `python:float`

      Loss coefficient [-]

  Notes

  Linear interpolation between a table of values. Re table extends from 20 to 400, with constant values outside of the table. This behavior should be adequate. alpha should be between 0.05 and 0.8. If angle is over 85 degrees, the value at 85 degrees is used.

  The velocity the loss coefficient relates to is the approach velocity before the screen.

  References

  [1]

  Blevins, Robert D. Applied Fluid Dynamics Handbook. New York, N.Y.: Van Nostrand Reinhold Co., 1984.

  Examples

      >>> round_edge_screen(0.5, 100)
      2.0999999999999996
      >>> round_edge_screen(0.5, 100, 45)
      1.05

fluids.filters.round_edge_open_mesh(alpha, subtype='diamond pattern wire', angle=0.0)

  Returns the loss coefficient for a round edged open net/screen made of one of the following patterns, according to [1]:

  ‘round bar screen’:

  \[K = 0.95(1-\alpha) + 0.2(1-\alpha)^2\]

  ‘diamond pattern wire’:

  \[K = 0.67(1-\alpha) + 1.3(1-\alpha)^2\]

  ‘knotted net’:

  \[K = 0.70(1-\alpha) + 4.9(1-\alpha)^2\]

  ‘knotless net’:

  \[K = 0.72(1-\alpha) + 2.1(1-\alpha)^2\]
  Parameters:
    alpha `python:float`

      Fraction of net/screen open to flow [-]

    subtype `python:str`

      One of ‘round bar screen’, ‘diamond pattern wire’, ‘knotted net’ or ‘knotless net’.

    angle `python:float`, `optional`

      Angle of inclination, with 0 being straight and 90 being parallel to flow [degrees]

  Returns:
    K `python:float`

      Loss coefficient [-]

  Notes

  alpha should be between 0.85 and 1 for these correlations. Flow should be turbulent, with Re > 500.

  The velocity the loss coefficient relates to is the approach velocity before the mesh.

  References

  [1]

  Blevins, Robert D. Applied Fluid Dynamics Handbook. New York, N.Y.: Van Nostrand Reinhold Co., 1984.

  Examples

      >>> round_edge_open_mesh(0.96, angle=33.)
      0.02031327712601458

fluids.filters.square_edge_screen(alpha)

  Returns the loss coefficient for a square wire screen or square bar screen or perforated plate with squared edges, as shown in [1].

  Parameters:
    alpha `python:float`

      Fraction of screen open to flow [-]

  Returns:
    K `python:float`

      Loss coefficient [-]

  Notes

  Linear interpolation between a table of values. The velocity the loss coefficient relates to is the approach velocity before the screen.

  References

  [1]

  Blevins, Robert D. Applied Fluid Dynamics Handbook. New York, N.Y.: Van Nostrand Reinhold Co., 1984.

  Examples

      >>> square_edge_screen(0.99)
      0.008000000000000007

## Loss Coefficients for Grills

fluids.filters.square_edge_grill(alpha, l=None, Dh=None, fd=None)

  Returns the loss coefficient for a square grill or square bar screen or perforated plate with squared edges of thickness l, as shown in [1].

  for Dh < l < 50D

  \[K = \frac{0.5(1-\alpha) + (1-\alpha^2)}{\alpha^2}\]

  else:

  \[K = \frac{0.5(1-\alpha) + (1-\alpha^2) + f{l}/D}{\alpha^2}\]
  Parameters:
    alpha `python:float`

      Fraction of grill open to flow [-]

    l `python:float`, `optional`

      Thickness of the grill or plate [m]

    Dh `python:float`, `optional`

      Hydraulic diameter of gap in grill, [m]

    fd `python:float`, `optional`

      Darcy friction factor [-]

  Returns:
    K `python:float`

      Loss coefficient [-]

  Notes

  If l, Dh, or fd is not provided, the first expression is used instead. The alteration of the expression to include friction factor is there if the grill is long enough to have considerable friction along the surface of the grill.

  The velocity the loss coefficient relates to is the approach velocity before the grill.

  References

  [1]

  Blevins, Robert D. Applied Fluid Dynamics Handbook. New York, N.Y.: Van Nostrand Reinhold Co., 1984.

  Examples

      >>> square_edge_grill(.45)
      5.296296296296296
      >>> square_edge_grill(.45, l=.15, Dh=.002, fd=.0185)
      12.148148148148147

fluids.filters.round_edge_grill(alpha, l=None, Dh=None, fd=None)

  Returns the loss coefficient for a rounded square grill or square bar screen or perforated plate with rounded edges of thickness l, as shown in [1].

  for Dh < l < 50D

  \[K = lookup(alpha)\]

  else:

  \[K = lookup(alpha) + \frac{fl}{\alpha^2D}\]
  Parameters:
    alpha `python:float`

      Fraction of grill open to flow [-]

    l `python:float`, `optional`

      Thickness of the grill or plate [m]

    Dh `python:float`, `optional`

      Hydraulic diameter of gap in grill, [m]

    fd `python:float`, `optional`

      Darcy friction factor [-]

  Returns:
    K `python:float`

      Loss coefficient [-]

  Notes

  If l, Dh, or fd is not provided, the first expression is used instead. The alteration of the expression to include friction factor is there if the grill is long enough to have considerable friction along the surface of the grill. alpha must be between 0.3 and 0.7.

  The velocity the loss coefficient relates to is the approach velocity before the grill.

  References

  [1]

  Blevins, Robert D. Applied Fluid Dynamics Handbook. New York, N.Y.: Van Nostrand Reinhold Co., 1984.

  Examples

      >>> round_edge_grill(.4)
      1.0
      >>> round_edge_grill(.4, l=.15, Dh=.002, fd=.0185)
      2.3874999999999997